@import url("https://fonts.googleapis.com/css2?family=Outfit:wght@400;700&display=swap");

:root {
  --bg-color: #d5e1ef;
  --white: hsl(0, 0%, 100%);
  --light-gray: hsl(212, 45%, 89%);
  ---grayish-blue: hsl(220, 15%, 55%);
  --blue: #2c7dfa;
  --blue-shade: #3685ff;
}

body {
  background: var(--bg-color);
}

.card {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 288px;
  height: 465px;
  background: var(--white);
  border-radius: 20px;
  padding: 16px;
  box-shadow: 0 0 50px #ccc;
}

.qr-code-container {
  width: 288px;
  height: 288px;
  margin: 0;
  background: var(--blue);
  border-radius: 10px;

  display: flex;
  justify-content: center;
  align-items: center;
}

.title,
.description {
  font-family: "Outfit", sans-serif;
  text-align: center;
}

.title {
  font-size: 22px;
  line-height: 27.72px;
  margin: 24px 0 0 0;
  color: hsl(218, 44%, 22%);
}

.description {
  font-size: 15px;
  letter-spacing: 0.19px;
  line-height: 18.9px;
  margin: 16px 0 0 0;
  padding: 0 20px;
  color: var(---grayish-blue);
}

.qr-code {
  z-index: 1;
}

.shape-container {
  position: absolute;
  width: 288px;
  height: 288px;
  border-radius: 10px;
  overflow: hidden;
}

.oval-top {
  width: 328px;
  height: 328px;
  clip-path: circle(164px);

  margin: -56% 0 0 -45%;
  background: var(--blue-shade);
}

.oval-bottom {
  width: 270px;
  height: 270px;
  clip-path: circle(135px);

  margin: 70% 0 0 47%;
  background: var(--blue-shade);
}
